Fix Travis Cl
authorMarco Costalba <mcostalba@gmail.com>
Sat, 9 Apr 2016 06:58:14 +0000 (08:58 +0200)
committerMarco Costalba <mcostalba@gmail.com>
Sat, 9 Apr 2016 07:35:19 +0000 (09:35 +0200)
Broken after "32-bit/64-bit Makefile fix" commit.

Ubuntu "Precise" 12.04.5 supports multilib only until
g++ 4.6 that is not enough to compile Stockfish.

So move to Ubuntu 14.04.4 LTS (Trusty Tahr)

No functional change.

.travis.yml

index 017dc10..8b669d9 100644 (file)
@@ -1,4 +1,6 @@
 language: cpp
+sudo: required
+dist: trusty
 
 matrix:
   include:
@@ -7,25 +9,25 @@ matrix:
       addons:
         apt:
           sources: ['ubuntu-toolchain-r-test']
-          packages: ['g++-4.8']
+          packages: ['g++-multilib']
       env:
-        - COMPILER=g++-4.8
+        - COMPILER=g++
         - COMP=gcc
 
     - os: linux
       compiler: clang
       addons:
         apt:
-          sources: ['ubuntu-toolchain-r-test', 'llvm-toolchain-precise-3.7']
-          packages: ['clang-3.7']
+          sources: ['ubuntu-toolchain-r-test']
+          packages: ['clang', 'g++-multilib']
       env:
-        - COMPILER=clang++-3.7
+        - COMPILER=clang++
         - COMP=clang
 
     - os: osx
       compiler: gcc
       env:
-        - COMPILER=g++-4.8
+        - COMPILER=g++
         - COMP=gcc
 
     - os: osx